This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 818020 - fail to rename the thin LV
fail to rename the thin LV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Zdenek Kabelac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 820229
  Show dependency treegraph
 
Reported: 2012-05-01 23:05 EDT by Xiaowei Li
Modified: 2015-01-26 19:10 EST (History)
13 users (show)

See Also:
Fixed In Version: lvm2-2.02.97-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 820229 (view as bug list)
Environment:
Last Closed: 2012-12-07 00:59:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2012-05-01 23:05:13 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.# lvs tsvg
lvs  LV   VG   Attr     LSize   Pool Origin Data%  Move Log Copy%  Convert
lvs  lv1  tsvg Vwi-a-tz 100.00m pool          0.00                        
lvs  lv2  tsvg Vwi-a-tz 100.00m pool          0.00                        
lvs  pool tsvg twi-a-tz   4.00m               0.00     
              
# lvrename tsvg lv1 lv3
lvrename  Cannot rename "lv1": name format not recognized for internal LV "pool1"

2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alasdair Kergon 2012-05-02 08:45:50 EDT
What about the other form of the command - does that work or fail?

lvrename tsvg/lv1 lv3
Comment 2 Zdenek Kabelac 2012-05-02 08:56:18 EDT
This is bug in for_each_sub_lv() logic in lv_manip code  for thin pool rename  

While for renaming pool - multiple LV must be renamed,  for  thin volume this is not the case.
Comment 3 Xiaowei Li 2012-05-02 21:15:49 EDT
(In reply to comment #1)
> What about the other form of the command - does that work or fail?
> 
> lvrename tsvg/lv1 lv3

Still failed.
[root@laker T1]# lvrename tsvg/lv1 lv2
lvrename  Cannot rename "lv1": name format not recognized for internal LV "pool"
Comment 4 Zdenek Kabelac 2012-05-09 08:37:24 EDT
Regression fixed upstream with this commit:

https://www.redhat.com/archives/lvm-devel/2012-May/msg00003.html
Comment 5 Alasdair Kergon 2012-07-31 15:24:45 EDT
Fixed in 2.02.96
Comment 6 Xiaowei Li 2012-09-03 06:00:16 EDT
verified with lvm2-2.02.97-1.el7.x86_64
Comment 7 Xiaowei Li 2012-11-13 22:55:34 EST
change to verified according to the comment 6

Note You need to log in before you can comment on or make changes to this bug.